- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Public Member Functions | Data Fields | Friends
seq Class Reference

`#include <seq.h>`

## Public Member Functions
| seq (double=0)
| ~seq ()
| seq (double begin, double end, double step=1)
| seq (seq afs, bool is_gfor)
| seq (const af_seq &s_)
seq & | operator= (const af_seq &s)
seq | operator- ()
seq | operator+ (double x)
seq | operator- (double x)
seq | operator* (double x)
| operator array () const

## Data Fields
af_seq | s
size_t | size
bool | m_gfor

## Friends
seq | operator+ (double x, seq y)
seq | operator- (double x, seq y)
seq | operator* (double x, seq y)

## Detailed Description

Examples:
  bagging.cpp, binary_thresholding.cpp, convolve.cpp, deep_belief_net.cpp, fft.cpp, filters.cpp, fractal.cpp, helloworld.cpp, histogram.cpp, image_editing.cpp, kmeans.cpp, matching.cpp, morphing.cpp, neural_network.cpp, plot2d.cpp, pyramids.cpp, rainfall.cpp, rbm.cpp, svd.cpp, and vectorize.cpp.

## Constructor & Destructor Documentation

seq | ( | double | = `0` | ) |

~seq | ( |  | ) |

seq | ( | double | begin,
|  | double | end,
|  | double | step = `1`
| ) |  |

seq | ( | seq | afs,
|  | bool | is_gfor
| ) |  |

seq | ( | const af_seq & | s_ | ) |

## Member Function Documentation

operator array | ( |  | ) | const

seq operator* | ( | double | x | ) |
| inline

seq operator+ | ( | double | x | ) |
| inline

seq operator- | ( |  | ) |
| inline

seq operator- | ( | double | x | ) |
| inline

seq& operator= | ( | const af_seq & | s | ) |

## Friends And Related Function Documentation

seq operator* | ( | double | x,
|  | seq | y
| ) |  |
| friend

seq operator+ | ( | double | x,
|  | seq | y
| ) |  |
| friend

seq operator- | ( | double | x,
|  | seq | y
| ) |  |
| friend

## Field Documentation

bool m_gfor

af_seq s

size_t size

The documentation for this class was generated from the following file:

- seq.h